Subject: [ippm] draft-ietf-ippm-2330-ipv6 review

From: "GEORGESCU LIVIU MARIUS" <[email-masked]>
Date: Tue, 19 Jul 2016 14:08:38 +0200

Hello IPPM,

I had a look at draft-ietf-ippm-2330-ipv6 and I have a couple of comments.

*Abstract: 

 - it is not clear if IPv6 transition technologies are considered as well. Maybe it should be noted if that's the case.

*Section 3 (page 4)

- there is indeed a paragraph about NAT. However, in my opinion, a clarifying note about translation or other forms of transition technologies (e.g. encapsulation RFC4213) which may affect the measurement process should be considered.

*Section 4 (standard"ly"-formed packets)

- It's not clear to me what happens to in the case of NAT XY (e.g. RFC6146). If at one end the version is 6 and at the other the version is 4, how will that impact an "IP-connectivity-metric" process?

Maybe noting the overhead in the suggested note above, or another in Section 4 might be relevant.

I hope this helps.

Best regards,

Marius Georgescu